echo off

REM RSTATE.BAT -- utility for restoring PC/GEOS state.
REM Copyright (c) 1991 GeoWorks. All rights reserved. May be freely distributed
REM to registered owners of GeoWorks Ensemble. Provided as is, without support.

if exist geos.* goto start
echo You must run this batch file from within the GEOWORKS directory.
goto end

:start
REM first check that restorable state exists
if exist .\state\statebak\*.sta goto restorestate
echo ERROR: There is no saved state to restore.
goto end
:restorestate
REM delete current state files
echo Removing current state files.
del .\state\*.sta
REM copy state files from backup state directory to current state
echo Restoring saved state files.
copy .\state\statebak\*.sta .\state
echo Done.
:end
