echo off

REM SSTATE.BAT -- utility for saving PC/GEOS state.
REM Copyright (c) 1991 GeoWorks. All rights reserved. May be freely distributed
REM to registered owners of GeoWorks Ensemble. Provided as is, without support.

if exist geos.* goto start
echo You must run this batch file from within the GEOWORKS directory.
goto end

:start
REM first check for backup state directory and make one if it doesn't exist.
if exist .\state\statebak\nul goto savestate
mkdir .\state\statebak
:savestate
REM delete old backup state files
echo Removing old saved state files.
del .\state\statebak\*.sta
REM copy state files from state directory to backup state
echo Saving current state files.
copy .\state\*.sta .\state\statebak
echo Done.
:end
